Page MenuHomePhabricator

Add functionality to run QualityConstraint checks on an entity after every edit
Closed, ResolvedPublic13 Story Points

Description

After investigation in T202404#4555480 it was determined that we can probably / should run the constraint checks of an entity after each edit.

Flipping the switch on such a feature could cause increased load on the cluster so the default behaviour should remain the same.
There should be a configuration variable allowing a % of edits to trigger the job, probably using a random number on each edit to see if the edit gets the job run.
Deployment timeline to be decided and filed as a separate ticket.

Acceptance Criteria

  • There should be a Job to run the constraint checks of a single entity, by entity ID.
  • Jobs should have deduplication
  • Job must be JSON serializable T204031#4578447
  • The default of this feature should not change current behaviour (None of these jobs will be run without extra configuration)
  • There should be a configuration variable allowing a % of edits to have the constraint checks run as a job.
  • There should be a way to track the run time of these jobs (min max average and count)

Event Timeline

Addshore created this task.Sep 11 2018, 7:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2018, 7:35 AM
Addshore moved this task from Backlog to Ready on the wikidata-tech-focus board.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Addshore updated the task description. (Show Details)Sep 11 2018, 9:07 AM
Addshore updated the task description. (Show Details)Sep 11 2018, 9:14 AM
Addshore updated the task description. (Show Details)Sep 13 2018, 10:27 AM
Addshore moved this task from incoming to in progress on the Wikidata board.Sep 18 2018, 2:24 PM
Addshore triaged this task as Normal priority.Sep 19 2018, 7:02 AM

Change 484654 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix constraintsRunCheck Job class

https://gerrit.wikimedia.org/r/484654

Change 484655 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.33.0-wmf.12] Fix constraintsRunCheck Job class & test

https://gerrit.wikimedia.org/r/484655

Change 484656 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.33.0-wmf.13] Fix constraintsRunCheck Job class & test

https://gerrit.wikimedia.org/r/484656

Change 484654 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix constraintsRunCheck Job class & test

https://gerrit.wikimedia.org/r/484654

Change 484655 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.33.0-wmf.12] Fix constraintsRunCheck Job class & test

https://gerrit.wikimedia.org/r/484655

Change 484656 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@wmf/1.33.0-wmf.13] Fix constraintsRunCheck Job class & test

https://gerrit.wikimedia.org/r/484656

Mentioned in SAL (#wikimedia-operations) [2019-01-16T12:39:58Z] <addshore@deploy1001> Synchronized php-1.33.0-wmf.13/extensions/WikibaseQualityConstraints: [[gerrit:484654]] T204031 T204022 Fix constraintsRunCheck Job class & test (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2019-01-16T12:40:59Z] <addshore@deploy1001> Synchronized php-1.33.0-wmf.12/extensions/WikibaseQualityConstraints: [[gerrit:484654]] T204031 T204022 Fix constraintsRunCheck Job class & test (duration: 00m 54s)